Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## gecco.communication.client
Class DataInputExchangeHandler

    java.lang.Object
      gecco.communication.client.DataInputExchangeHandler

All Implemented Interfaces:
  Runnable

public class DataInputExchangeHandler
extends Object
implements Runnable

A class that listens for incoming messages from the server, and tells the client about them.

Author:
  Niklas Hallenfur, Karl Hasselström, Henrik Hägerström, Jon Åslund

Constructor Summary
`DataInputExchangeHandler(ServerConnection sc, Client cl, ServerAmbassador sa, DataOutputExchangeHandler DEHOutput)`

Method Summary
`void` | `kill()` called whenever someone wants this thread to die
`void` | `run()` Main processing method for the DataInputExchangeHandler object

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DataInputExchangeHandler

    public DataInputExchangeHandler(ServerConnection sc,
                                    Client cl,
                                    ServerAmbassador sa,
                                    DataOutputExchangeHandler DEHOutput)

Parameters:
  `sc` - connection to server containing the stream to write to
  `cl` - the Client to send incoming messages to
  `sa` - the ServerAmbassador this thread is working for DEHOutput the object to send PingReplyMessage:s to
  `DEHOutput` - Description of Parameter

Method Detail

### run

    public void run()

  Main processing method for the DataInputExchangeHandler object

  Specified by:
    `run` in interface `Runnable`

### kill

    public void kill()

  called whenever someone wants this thread to die

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD